# Cubbot <!-- omit in toc -->

[![Build Status](https://build.wadza.fr/api/badges/me/cubbot/status.svg)](https://build.wadza.fr/me/cubbot)

Mostly AFK Minecraft bot

Scalliony API and UI

- [Setup](#setup)
- [Building](#building)
- [Usage](#usage)
  - [Config](#config)
  - [Run](#run)
  - [Note](#note)
- [Tests](#tests)
- [License](#license)

## Setup
Cubbot uses modules with could be enabled at compile time in `src/modules/index.ts`

## Building
```
yarn run build
```

## Usage
### Config

- Copy `.env.sample` as `.env`
- Edit `CORE_HOST`, `CORE_USER`, `CORE_PASS` and maybe others.

### Run
```
yarn run test
```

### Note
`minecraft-data` package isn't updated for 1.15+. As a workaround, data will be downloader from `https://pokechu22.github.io/Burger/{version}.json` and cached in `data` folder

## Tests
```
yarn run test
```

## License
Distributed under the GPL3 license. Copyright (c) 2020, Maelys Bois.