import { IModuleType } from '../utils/Module'
import Chat from './Chat'
import Combat from './Combat'
import Client from './Connection'
import Entities from './Entities'
import Inventory from './Inventory'
import Life from './Life'
import Meal from './Meal'
import Spawn from './Spawn'
import State from './State'
import Time from './Time'

/** Building modules */
export default [
    Chat,
    Client,
    Combat,
    Entities,
    Life,
    Meal,
    State,
    Time,
    Inventory,
    Spawn,
] as IModuleType[]
