import { readFileSync } from 'fs'
import stripJsonComments from 'strip-json-comments'
import Cubbot from './Cubbot'

const config = JSON.parse(stripJsonComments(readFileSync('./env.json').toString()))

const app = new Cubbot(config)
app.mount()

process.on('SIGINT', () => app.umount(true))
